A plan for the top ten Community Wishlist tasks driven by volunteers
Closed, ResolvedPublic

Description

The Community Tech team is working on the top ten wishes on the 2015 community wishlist. Technical Collaboration is helping out with some of the others. We should assess at least ten feasible tasks, starting by looking at #11–20. The feasibility should be documented (both from a social and technical perspective), we should include brief descriptions of ways forward written or vetted by suitable developers and document strategy for finding volunteer developers for each tasks – where and how to proceed.

(This task is a Technical Collaboration team goal for Q4 (April–June) and will also be worked on by @Johan and @Aklapper, with input from the Community Tech team.)

Measurements of success

  • Selection of 10 most voted suitable tasks.
  • Technical and social feasibility assessment for each task.
  • Recommendations for next steps vetted by developers.
  • 10 are ongoing, and others are being discussed/researched
  • Plan for recruiting volunteer developers for each task.
  • Outreach within each task, and before/at/after hackathons, and on IRC, and direct contact with potentially interested parties onwiki or via email

Status as of 12 September 2016:

10 top Community Wishlist 2015 tasks that the Technical Collaboration team actively supports in the ways we can:

#TaskStatusDrivers
11T3790: Allow uploading of 3D files to Wikimedia CommonsIn development- at Mw:Extension:3d
15T120733: Improve date range searches on Special:ContributionsIn development- by Sumit.iitp et al
23T48580: Create a VisualEditor plugin to integrate with ProofreadPageIn development- by Coren et al
24T100645: Efficient way to refer to different pages of the same work when adding references to an article (#17)In development- by Felipe Schenone et al
27T109561: Add non-exact title search to Special:Undelete and corresponding APIIn development- by Smalyshev and EBerndhardson et al - Please help test at http://undeltest.wmflabs.org/
32T88781: Create a Timer based reminder for workflowsOpen for development
34T28059: Add support for KML/KMZ filetypePossibly open for development
38T120439: Create a tool to auto-populate categories through Wikidata/other wiki comparisonIn development- by Valhallasw et al
41T120764: Improve Special:LogPartially Done#1 is Done by Cenarium et al. #2 is in development by Jackmcbarn, Cenarium et al. #3 and #4 need owners.
43T22307: Generate automatic summary /* blah */ when I manually add a section heading when editingIn development- by Matma Rex et al

Other Community Wishlist 2015 tasks suitable for volunteer developers:

#TaskStatusDrivers
47T120478: Page contributorsIn development- in T129123 by Devirk et al
54T120437: Category suggestions based on filename, description and locationOpen for development
57T120779: Automatic search for similar items in WikidataOpen for development(Is there a tool that already does this?)
59T120478: Page contributorsIn development- in T129123 by Devirk et al
66T120748: Make Special:Listfiles show the quantity of globalusage for a fileOpen for development

Further Updates are being done in https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Results directly, with green background indicating tasks needing feedback or ready for development.

Related Objects

Johan created this task.Mar 16 2016, 6:24 AM
Johan moved this task from Backlog to Keep track of on the User-Johan board.
Johan moved this task from Backlog to Proposed: April-June 2016 on the Community-Liaisons board.
Johan moved this task from Untriaged to Community/Communication on the Community-Tech board.
Johan updated the task description. (Show Details)Mar 16 2016, 6:30 AM
Aklapper triaged this task as Normal priority.Mar 17 2016, 10:13 AM
Qgil renamed this task from Assess ten feasible tasks on the Community Wishlist to A plan for the top ten Community Wishlist tasks driven by volunteers.Apr 6 2016, 8:38 AM
Qgil added a comment.Apr 8 2016, 8:20 AM

Selection of 10 most voted suitable tasks.

What is the status of this selection? If it is not completed yet, I bet it deserves its own subtask. If it is completed, please share the tasks selected here.

Quiddity updated the task description. (Show Details)Apr 25 2016, 7:43 PM
Qgil added a comment.Apr 27 2016, 12:34 PM

(Summarizing my conversation with Nick)

Alright, now there are 8 tasks mentioned in the description. The desired scenario is to have the 10 that we believe are a good fit for volunteers.

If a task is taken by a WMF developer (or WMDE, any professional dev) but they are taking it not as part of their team backlog, goal, etc, but on their own time and at their own risk, that also counts as a task driven by a volunteer.

And also:

On the latter, there is an open (although currently silent) discussion about promoting CW tasks to WMF devs as pet projects / 20% time kind of thing. Nothing solid (at all) at this point, but who knows what might happen during FY 2016-17.

It would be useful to keep a record in the description of the position of the tasks in the CW. Also a record of the tasks that were considered but discarded. Example:

#CWTaskStatusNotes
111TNNNN ThisDevelopers wantedGood for hackathons
212TNNNN ThatOngoingPlans to work on Wikimania 2016
-13TNNNN FooNot suitableOnly Brion Vibber can fight against that piece of code he created in 2003
-14TNNNN BarResolvedTCB did it
315TNNNN EtcUnder investigationRequires community consensus, Legal approval, and Java 5

(and etc until #10)

Aklapper updated the task description. (Show Details)May 2 2016, 10:09 AM

Desc says "Selection of 10 most voted suitable tasks" which is followed by "Technical and social feasibility assessment".
So I guess it's an acceptable potential assessment result that a task is suitable but not feasible and it is still "counted" as one of Technical-Collaboration's ten tasks.

For example, surely "Improve SVG rendering" is a suitable task for anybody knowing C but visible success might end up being blocked on external issues (upstream patch review; downstream package deployment).

Regarding the three tasks that I initially proposed,

  • #16: I think that T112987: Separating infoboxes and navboxes from article content is not suitable for volunteers, due to T112987#1655990 or T112987#1656036 describing both technical and social obstacles. So I'd remove that from "my" list. It looks very unlikely that I could help driving this forward at all, or that some volunteer could actually work on such a complex task.
  • #17: Status: I need to clarify the scope in T120746: Improve SVG rendering plus at some point talk to upstream. I'm confident there can be some results but not sure if/when they will actually reach Wikimedia servers due to T112421 and very limited upstream resources.
  • #18: Status: In T2738: Ability to watch section levels of pages I've asked for both clarification of expectations when it comes to types of pages, plus a technical update on Parsing plans. (Likely need to go to mailing lists if no reply.)
  • #25: As I "lost" one task above, looking for another one, T120788: Tool to use Google OCRs in Indic language Wikisource sounds suitable. There has already been a volunteer working on it (not sure how active currently), and I'd be happy to help sorting out the next steps there. I've asked in the task for some update.
Qgil updated the task description. (Show Details)Jun 7 2016, 11:20 AM
Quiddity updated the task description. (Show Details)Jul 1 2016, 7:17 AM

10 tasks are in development, and a number of others are in various stages of investigation, planning, or people-nudging.
The updates to this task were not as clear or frequent as I/we wanted, but I/we intend to keep pushing forward on as many of the wishlist (and related) tasks as feasible, over the coming months.

Quiddity closed this task as Resolved.Jul 1 2016, 7:22 AM
Qgil reopened this task as Open.Jul 1 2016, 10:10 AM

I am very sorry, but I have to reopen this task.

This selection seems to be about 10 tasks being worked by someone currently, but the goal is about "Selection of 10 most voted suitable tasks."

The current list goes from #11 to #59. I don't think you mean that all the tasks in between are not suitable. See my previous comment above T130095#2242637.

Quiddity updated the task description. (Show Details)Aug 21 2016, 9:33 PM

Outreachy round 12 will be announced on September 12, at it would be very good to have by then a landing page featuring Community Wishlist projects with mentors aligned.

@Quiddity can we have the top 10 tasks listed here asap, please? This will allow @01tonythomas @Sumit and Developer-Relations to start the search for mentors also asap.

For the records, Outreachy round 13 (which you meant) has a landing page now (T144816). Edits welcome...

I've been going through the top 60 again, pinging "in development" owners for status updates and to confirm they're still working on the things and aren't blocked, and confirming the difficulty of the others.
These are the only tasks that I believe have a possible chance of Outreachy/GSoC development.

I've added Possible-Tech-Projects to those.
I will keep going through the list from 60 on down.

Quiddity closed this task as Resolved.Sep 12 2016, 8:42 PM
Quiddity updated the task description. (Show Details)
Qgil updated the task description. (Show Details)Sep 13 2016, 7:00 AM
Qgil awarded a token.
Qgil added a comment.Sep 13 2016, 7:05 AM

Thank you very much @Quiddity for all the research and pinging and more research and more pinging!

@Sumit @01tonythomas feel free to send an Outreachy invitation to at least the open tasks among the top 10 list. The developers working on them might welcome help from an Outreachy intern, and they would be the default candidates for mentoring.

Johan moved this task from Keep track of to Archive on the User-Johan board.Jul 26 2017, 3:21 AM